commit:     d1349df80025c8df8e3a4a6a8c3e9023eb9c32b7
Author:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
AuthorDate: Tue Nov 26 01:33:12 2024 +0000
Commit:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
CommitDate: Tue Nov 26 01:44:58 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d1349df8

dev-vcs/sourcegit: bump to 8.40

Signed-off-by: Maciej Barć <xgqt <AT> gentoo.org>

 dev-vcs/sourcegit/Manifest              |   1 +
 dev-vcs/sourcegit/sourcegit-8.40.ebuild | 132 ++++++++++++++++++++++++++++++++
 2 files changed, 133 insertions(+)

diff --git a/dev-vcs/sourcegit/Manifest b/dev-vcs/sourcegit/Manifest
index 96444f76299c..8d919369e970 100644
--- a/dev-vcs/sourcegit/Manifest
+++ b/dev-vcs/sourcegit/Manifest
@@ -83,6 +83,7 @@ DIST sourcegit-8.32.tar.gz 2897371 BLAKE2B 
810cbac1e64a61c2861154cef3fb55bef2ab0
 DIST sourcegit-8.37.tar.gz 2779046 BLAKE2B 
a581a71889681b8bcf6d531fa947e0cf2f6c891204224c9df3f69ee8f169f198deba57a6513af7ef3f0eef6f36324dd0ab8c9594e3957763f9257e6b63515fdd
 SHA512 
2c3973b4c3b19eaa8cec7c5fd5817ed6573f2d68a61f3835796ed788cc7cb9621a4975ab6a4e3f53fdcaa49d38a9e48673a46a9ddf15671707f6cd7c63f5a901
 DIST sourcegit-8.38.tar.gz 2784491 BLAKE2B 
64c4b2eb1463716f190071d49ad245e8861dbc2120c6f6f5754d0c9967c7a6b4531bb6103b07baf9662f9bffa2fa477be88c27a467dcb746e785e4f9a48709e5
 SHA512 
ac84834dcc3a1aae8ce16a5987dcd5b5c8f43a202aa2c7c8c1afdba6f5fa279eeba2b37c75b610284887e64fa25ae3ae763f1e050f49835920f0051be921156f
 DIST sourcegit-8.39.tar.gz 2791091 BLAKE2B 
3561bb44bffa9c3c55c8d399c5e15d1781288077c995f7b9aaebb4ef6bfb545962fe1c0c4265caa897933d5c39bacea409db3ea39978e8c71566b21381caa0cd
 SHA512 
0fa3158d1552e0d8ffe316a2b0b7db3d50f464083d21e0218a9605f4b491028b679b1a3b5dae8c54202abbeb656f3769136ced13b9c30aedabe4726991474d04
+DIST sourcegit-8.40.tar.gz 2796422 BLAKE2B 
e2606d0bc52ebcf3db501eb09b052cdafa83b020bf9f6ee3bf46370a59a43e6eaaef6a8fca82baa1cc61d19f975685bafeb2e2a2b5ddba4328ad52cf4f5de0c2
 SHA512 
64f0a097264e62f337d0abdd290daa541eba4297bb94ac74322906dcc935e3ec186e56a4b45b11ee2729e26b39876822dd0d9358dbad52017f42415565e4b042
 DIST system.io.pipelines.6.0.0.nupkg 221298 BLAKE2B 
344160cc3e08c0a9004eac9672b89d8aa9fc726a0dbcb2aecd677f995157f90354d3c704862422bdf8a0195918a7411b6ad9315c2f68b01c0c24ca666f4dee53
 SHA512 
c5983b4510bc8ae4116133ffb9b280fe61d99d47ef52dd78e5bfd03e090901896d5d5fd738dae57006b971840a4d9422bded33ddefa5e927d75d309ef1f70dea
 DIST system.io.pipelines.8.0.0.nupkg 267394 BLAKE2B 
612570554ee41ae37c8987df6ec797583c95b38160aa70b1c2fba9af23f4bd85ac0ba5b7036abfc1ee3cecdbfbdaa83b861e9c017e5fdf3e726478b24e83d957
 SHA512 
57eb6a11e84f40a48b57b1dc5786a01aa9852122b7d15363490d8a12c9a458bf99a8ddf4c0c0247be98559c2b42e769a10bda2c5a9817735484d960dc652eb12
 DIST system.numerics.vectors.4.5.0.nupkg 382792 BLAKE2B 
a97284a76a6729052d3a127e1875e2012ae5b90a40533783dc799b543d44cc084035374799e9e1b894083cb61f2639711f18b76ff31145140519a9674dd9d2aa
 SHA512 
9c04ec0530f608aaf801837a791b33857e2ca6d2265a6049c01fd4e972825967e709cad3070f174829b7400f608e9a641d3afc3a45d4636d4c47dd43dd0657b3

diff --git a/dev-vcs/sourcegit/sourcegit-8.40.ebuild 
b/dev-vcs/sourcegit/sourcegit-8.40.ebuild
new file mode 100644
index 000000000000..0402b40e9043
--- /dev/null
+++ b/dev-vcs/sourcegit/sourcegit-8.40.ebuild
@@ -0,0 +1,132 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DOTNET_PKG_COMPAT="9.0"
+NUGETS="
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
+"
+
+inherit check-reqs dotnet-pkg desktop xdg
+
+DESCRIPTION="Open Source Git GUI client using .NET AvaloniaUI"
+HOMEPAGE="https://github.com/sourcegit-scm/sourcegit/";
+
+if [[ "${PV}" == *9999* ]] ; then
+       inherit git-r3
+
+       EGIT_REPO_URI="https://github.com/sourcegit-scm/${PN}.git";
+else
+       SRC_URI="https://github.com/sourcegit-scm/${PN}/archive/v${PV}.tar.gz
+               -> ${P}.tar.gz"
+
+       KEYWORDS="~amd64"
+fi
+
+SRC_URI+=" ${NUGET_URIS} "
+
+LICENSE="MIT"
+SLOT="0"
+
+RDEPEND="
+       app-arch/brotli
+       app-arch/bzip2
+       dev-libs/expat
+       dev-libs/glib:2
+       dev-libs/libpcre2
+       dev-vcs/git
+       media-gfx/graphite2
+       media-libs/fontconfig:1.0
+       media-libs/freetype:2
+       media-libs/harfbuzz
+       media-libs/libpng
+"
+
+CHECKREQS_DISK_BUILD="1G"
+DOTNET_PKG_PROJECTS=( src/SourceGit.csproj )
+
+pkg_setup() {
+       check-reqs_pkg_setup
+       dotnet-pkg_pkg_setup
+}
+
+src_unpack() {
+       dotnet-pkg_src_unpack
+
+       if [[ -n "${EGIT_REPO_URI}" ]] ; then
+               git-r3_src_unpack
+       fi
+}
+
+src_prepare() {
+       sed -i "./build/resources/_common/applications/${PN}.desktop"   \
+               -e "s|/opt/sourcegit/sourcegit|sourcegit|g"     \
+               -e "s|/usr/share/icons/sourcegit.png|sourcegit|g"       \
+               || die
+
+       dotnet-pkg_src_prepare
+}
+
+src_install() {
+       dotnet-pkg-base_install
+       dotnet-pkg-base_dolauncher "/usr/share/${P}/SourceGit" "${PN}"
+
+       doicon "./build/resources/_common/icons/${PN}.png"
+       domenu "./build/resources/_common/applications/${PN}.desktop"
+
+       einstalldocs
+}
+
+pkg_postinst() {
+       xdg_icon_cache_update
+       xdg_desktop_database_update
+}
+
+pkg_postrm() {
+       xdg_icon_cache_update
+       xdg_desktop_database_update
+}

Reply via email to